
namespace WebContracts {
    
    public class GoogleSearch : WebContracts.Contract {
        
        public GoogleSearch () {
            base ("Google Search", "google", "google-search", 
"[Contractor Entry]
Name=Search Google
Icon=google
Description=Search on google
MimeType=text
Exec="+Constants.PKGDATADIR+"/webcontracts google-search %u
");
            
            this.container.attach (new LLabel.r (_("No settings")), 0, 0, 1, 1);
        }
        
        public override void run (File file) {
            
            string content;
            try {
                FileUtils.get_contents (file.get_path (), out content);
            } catch (Error e){warning (e.message);}
            
            var command = "xdg-open 'http://www.google.com/#q="+content+"'";
            
            string ret;
            try{
                Process.spawn_command_line_sync (command, out ret);
            } catch (Error e){ error (e.message); }
        }
    }
}
