
namespace WebContracts {
    
    public class Wikipedia : WebContracts.Contract {
        
        public Wikipedia (){
            base ("Wikipedia", "accessories-dictionary", "wikipedia", 
"[Contractor Entry]
Name=Wikipedia
Icon=accessories-dictionary
Description=Look up on wikipedia
MimeType=text
Exec="+Constants.PKGDATADIR+"/webcontracts wikipedia %u
");
            
            this.container.attach (new LLabel.r (_("No settings")), 0, 0, 1, 1);
        }
        
        public override void run (File file){
            
            string content;
            try{
                FileUtils.get_contents (file.get_path (), out content);
            }catch (Error e){warning (e.message);}
            
            var command = "xdg-open 'http://www.wikipedia.org/wiki/"+content+"'";
            
            string ret;
            try{
                Process.spawn_command_line_sync (command, out ret);
            }catch (Error e){error (e.message);}
        }
    }
}
